/*******************************************************************************
 * FoxHudSND generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudSND extends FoxHUDTDM
    transient
    native(HUD)
    config(UI)
    hidecategories(Navigation);

var const localized string LocStringPickupBomb;
var const localized string LocStringPlantBomb;
var const localized string LocStringAttackBomb;
var const localized string LocStringDefendBomb;
var const localized string LocStringKillBombCarrier;
var const localized string LocStringDefuseBomb;
var const localized string LocStringBombPossess;
var const localized string LocStringBroadcastBombPlanted;
var const localized string LocStringBroadcastBombDefused;
var const localized string LocStringBroadcastBombExploded;
var const localized string LocStringBroadcastPickedUp;
var const localized string LocStringBroadcastBombInPlay;
var const localized string LocStringBroadcastBombDropped;
var const localized string LocStringBroadcastHasBomb;
var const localized string LocStringAttacking;
var const localized string LocStringDefending;
var int LastBombTimeRemaining;
var float SimulatedBombTimeRemaining;
var AkEvent BombTimerAkEvent;

function string GetEventName(FoxTypes.EScoreEvents EventType, optional bool bFriendly)
{
    bFriendly = true;
    switch(EventType)
    {
        // End:0x2A
        case 6:
            return LocStringAttackBomb;
            // End:0x117
            break;
        // End:0x3C
        case 7:
            return LocStringDefendBomb;
            // End:0x117
            break;
        // End:0x4E
        case 1:
            return LocStringPickupBomb;
            // End:0x117
            break;
        // End:0x60
        case 3:
            return LocStringKillBombCarrier;
            // End:0x117
            break;
        // End:0x72
        case 57:
            return LocStringDefuseBomb;
            // End:0x117
            break;
        // End:0x84
        case 56:
            return LocStringPlantBomb;
            // End:0x117
            break;
        // End:0x96
        case 59:
            return LocStringBroadcastBombPlanted;
            // End:0x117
            break;
        // End:0xA8
        case 60:
            return LocStringBroadcastBombDefused;
            // End:0x117
            break;
        // End:0xBA
        case 61:
            return LocStringBroadcastBombExploded;
            // End:0x117
            break;
        // End:0xCC
        case 62:
            return LocStringBroadcastPickedUp;
            // End:0x117
            break;
        // End:0xDE
        case 63:
            return LocStringBroadcastBombInPlay;
            // End:0x117
            break;
        // End:0xF0
        case 64:
            return LocStringBroadcastBombDropped;
            // End:0x117
            break;
        // End:0x102
        case 65:
            return LocStringBombPossess;
            // End:0x117
            break;
        // End:0x114
        case 58:
            return LocStringBroadcastBombDropped;
            // End:0x117
            break;
        // End:0xFFFF
        default:
            return super(FoxHUD).GetEventName(EventType, bFriendly);
    }
    //return ReturnValue;    
}

function SwitchToMainHUD(bool bFirstSpawn)
{
    super(FoxHUD).SwitchToMainHUD(bFirstSpawn);
    // End:0x201
    if((((PCOwner.PlayerReplicationInfo != none) && PCOwner.PlayerReplicationInfo.Team != none) && DynamicUI != none) && DynamicUI.HUD != none)
    {
        // End:0x157
        if(PCOwner.PlayerReplicationInfo.Team.TeamIndex == class'FoxGameMP_SND'.default.AttackingTeamIndex)
        {
            DynamicUI.HUD.PumpGameplayUpdateMessage(LocStringAttacking);
        }
        // End:0x201
        else
        {
            // End:0x201
            if(PCOwner.PlayerReplicationInfo.Team.TeamIndex == class'FoxGameMP_SND'.default.DefendingTeamIndex)
            {
                DynamicUI.HUD.PumpGameplayUpdateMessage(LocStringDefending);
            }
        }
    }
    //return;    
}

event StartBombTimerAudio()
{
    // End:0x2C
    if(!IsTimerActive('TickBombTimerAudio'))
    {
        SetTimer(1.0, false, 'TickBombTimerAudio');
    }
    //return;    
}

event TickBombTimerAudio()
{
    // End:0x3E
    if(SimulatedBombTimeRemaining > float(10))
    {
        PCOwner.PostAkEvent(BombTimerAkEvent);
    }
    // End:0x93
    else
    {
        // End:0x93
        if(!IsTimerActive('OnRampUpAudioTick'))
        {
            PCOwner.PostAkEvent(BombTimerAkEvent);
            SetTimer(1.0, true, 'OnRampUpAudioTick');
        }
    }
    //return;    
}

function OnRampUpAudioTick()
{
    local float TimerRate;

    TimerRate = Lerp(0.050, 1.0, (SimulatedBombTimeRemaining / 10.0) ** 2.0);
    SetTimer(TimerRate, false, 'OnRampUpAudioTick');
    PCOwner.PostAkEvent(BombTimerAkEvent);
    //return;    
}

event KillBombTimerAudio()
{
    ClearTimer('OnRampUpAudioTick');
    //return;    
}

defaultproperties
{
    LocStringPickupBomb="PICKED UP BOMB"
    LocStringPlantBomb="PLANTED BOMB"
    LocStringAttackBomb="ATTACKED BOMB"
    LocStringDefendBomb="DEFENDED BOMB"
    LocStringKillBombCarrier="KILLED BOMB CARRIER"
    LocStringDefuseBomb="DEFUSED BOMB"
    LocStringBombPossess="YOU HAVE THE BOMB"
    LocStringBroadcastBombPlanted="BOMB PLANTED"
    LocStringBroadcastBombDefused="BOMB DEFUSED"
    LocStringBroadcastBombExploded="BOMB DETONATED"
    LocStringBroadcastPickedUp="BOMB PICKED UP"
    LocStringBroadcastBombInPlay="BOMB IS IN PLAY"
    LocStringBroadcastBombDropped="BOMB DROPPED"
    LocStringBroadcastHasBomb="HAS THE BOMB"
    LocStringAttacking="ATTACKING"
    LocStringDefending="DEFENDING"
    BombTimerAkEvent=AkEvent'DLC_SnD_Bomb.Play_Bomb_Timer_UI'
    bShowGameAttackPoints=true
    bShowGameDefendPoints=true
    GameClass=class'FoxGameMP_SND'
    HudUIClass=class'FoxHudUI_SND'
}